FLAC 1.3.1

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
FLAC__EntropyCodingMethod_PartitionedRice Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
unsigned | order
const FLAC__EntropyCodingMethod_PartitionedRiceContents * | contents

## Detailed Description

Header for a Rice partitioned residual. (c.f. format specification)

## Member Data Documentation

unsigned FLAC__EntropyCodingMethod_PartitionedRice::order

The partition order, i.e. # of contexts = 2 ^ order.

const FLAC__EntropyCodingMethod_PartitionedRiceContents* FLAC__EntropyCodingMethod_PartitionedRice::contents

The context's Rice parameters and/or raw bits.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |